<template>
  <div>
    <div id="leftPanel" class="mt-8 grid gap-y-8 text-lg text-primary-300">
      <!-- Lottie Logo -->
      <MainLogo />

      <!-- Introduction -->
      <div id="introductionContent" class="grid gap-y-8 animReveal-1">
        <p>En 2022, <a class="underline text-white hover:text-secondary-501 transition-all ease-in duration-300" href="https://www.lachouette.company/" target="_blank">la chouette company</a> et <a class="underline text-white hover:text-secondary-501 transition-all ease duration-300" href="https://www.rwigo.com/" target="_blank">rwigo</a> unissent leurs forces pour faciliter une transformation numérique utile, humaine et durable.</p>
      </div>

      <div id="introductionContent" class="grid gap-y-8 animReveal-2">
        <!-- List of Company's socials -->
        <p>En attendant notre futur site, retrouvez-nous sur :</p>
        <div class="grid grid-cols-2 gap-y-3.5 gap-x-8 w-3/4">
          <div
            v-for="link in links"
            :key="link.name"
            class="inline"
          >
            <SocialLink
              class="text-white hover:text-secondary-501 transition-all ease-in duration-300"
              :link="link"
            />
          </div>
        </div>
      </div>
    </div>

    <img
      id="mainImage"
      src="/assets/medias/hero-media.png"
      class="fixed bottom-0 left-0 transform scale-110 animReveal-3"
      style="z-index: -1"
      alt="hero-image"
    >
  </div>
</template>

<script>
import { gsap } from "gsap";

import MainLogo from '~/components/items/MainLogo.vue';

import SocialLink from '~/components/items/SocialLink.vue';

import FacebookSolid from '~/components/icons/FacebookSolid.vue';
import TwitterSolid from '~/components/icons/TwitterSolid.vue';
import InstagramOutline from '~/components/icons/InstagramOutline.vue';
import MediumSolid from '~/components/icons/MediumSolid.vue';
import LinkedinSolid from '~/components/icons/LinkedinSolid.vue';
import DribbbleOutline from '~/components/icons/DribbbleOutline.vue';

export default {
  components: {
    SocialLink,
    MainLogo,
  },

  layout: 'temporary-home',

  data () {
    return {
      links: [
        {
          name: 'LinkedIn',
          link: 'https://www.linkedin.com/company/la-chouette-company/',
          icon: LinkedinSolid,
        },
        {
          name: 'Instagram',
          link: 'https://www.instagram.com/lachouetteco/',
          icon: InstagramOutline,
        },
        {
          name: 'Twitter',
          link: 'https://twitter.com/lachouetteco',
          icon: TwitterSolid,
        },
        {
          name: 'Facebook',
          link: 'https://www.facebook.com/laChouetteCo',
          icon: FacebookSolid,
        },
        {
          name: 'Medium',
          link: 'https://blog.lachouette.company/',
          icon: MediumSolid,
        },
        {
          name: 'Dribbble',
          link: 'https://dribbble.com/lachouetteco',
          icon: DribbbleOutline,
        },
      ],
    };
  },

  head () {
    return {
      title: 'La Chouette Co',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: '',
        },
        {
          hid: 'og:title',
          property: 'og:title',
          content: 'La Chouette Co',
        },
        {
          hid: 'og:description',
          property: 'og:description',
          content: '',
        },
        {
          hid: 'og:image',
          property: 'og:image',
          content: '',
        },
        {
          hid: 'og:url',
          property: 'og:url',
          content: 'https://www.lachouette.co',
        },
      ],
    };
  },

  mounted () {
    gsap.from(".animReveal-1", { duration: 0.8, y: 50, opacity: 0 }, 1.5);
    gsap.from(".animReveal-2", { duration: 0.8, y: 50, opacity: 0 }, 1.8);
    gsap.from(".animReveal-3", { duration: 0.8, y: 50, opacity: 0 }, 2.1);

    this.$nuxt.$on('move-index', (container, mouseEvent) => {
      this.parallaxIt(container, mouseEvent, '#mainImage', -9);
    });

    this.$nuxt.$on('move-index', (container, mouseEvent) => {
      this.parallaxIt(container, mouseEvent, '#leftPanel', -17);
    });
  },

  methods: {
    parallaxIt (e, mouseEvent, target, movement) {
      const rect = e.getBoundingClientRect();

      const offset = {
        top: rect.top + window.scrollY,
        left: rect.left + window.scrollX,
      };

      const relX = mouseEvent.pageX - offset.left;
      const relY = mouseEvent.pageY - offset.top;

      gsap.to(target, 1, {
        x: (relX - rect.width / 2) / rect.width * movement,
        y: (relY - rect.height / 2) / rect.height * movement,
      });
    },
  },
};
</script>
